API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

CrossSection Class

The CrossSection class defines a with cross section points
Inheritance Hierarchy
SystemObject
  Tekla.Structures.CatalogsCrossSection

Namespace:  Tekla.Structures.Catalogs
Assembly:  Tekla.Structures.Catalogs (in Tekla.Structures.Catalogs.dll) Version: 2020.0.0.0 (2020.0.55582.0)
Syntax
[SerializableAttribute]
public sealed class CrossSection

The CrossSection type exposes the following members.

Constructors
  Name Description
Public method CrossSection(String)
Creates a new cross section point instance.
Public method CrossSection(ProfileName)
Creates a new cross section point instance.
Top
Properties
  Name Description
Public property InnerSurfacePoints
Gets the points for inner surfaces.
Public property InnerSurfaces
Gets the cross section points for inner surfaces.
Public property Length
The total length
Public property Location
The location in relation to length, 0.0 referring to start of the profile
Public property OuterSurface
Gets the cross section points for outer surface.
Public property OuterSurfacePoints
Gets the cross section points for outer surface.
Public property Profile
The profile where cross section is asked from
Top
Methods
  Name Description
Public method Select
Selects the cross section from the profile definition.
Top
Examples
using System;
using Tekla.Structures.Catalogs;

public class Example
{
    public void Example1()
    {
        CrossSection section = new CrossSection("HEA100");

        if (section.Select())
        {
            var outerSurface = section.OuterSurface;
            if(outerSurface != null)
            {
                foreach (CrossSectionPoint point in outerSurface)
                {
                    Console.WriteLine("Point " + string.Format("({0:0.000}, {1:0.000}, {2:0.000})", point.X, point.Y, point.Z));
                    Console.WriteLine("Chamfer type " + point.Chamfer.Type.ToString());
                    Console.WriteLine("Chamfer " + string.Format("({0:0.000}, {1:0.000}, {2:0.000}, {3:0.000})", point.Chamfer.X, point.Chamfer.Y, point.Chamfer.DZ1, point.Chamfer.DZ2));
                }

                Console.WriteLine("HEA100 cross section points selected successfully");
            }
        }
    }
}
See Also